BeginIngestion is used to initiate the ingestion of listings for a given storefront. Needs to be called before RequestIngestion.
You call thisScope not enforced
POST
/v2/storefront/listing/ingestion/begin
const url = 'https://api.zentail.com/v2/storefront/listing/ingestion/begin';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expectedNumListings":"example","autoApplyIngestionPlan":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/ingestion/begin \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expectedNumListings": "example", "autoApplyIngestionPlan": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
BeginIngestionRequest is used to initiate the ingestion of listings
object
expectedNumListings
string format: int64
autoApplyIngestionPlan
boolean
Examplegenerated
{ "expectedNumListings": "example", "autoApplyIngestionPlan": true}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
BeginIngestionResponse is used to return the response of the BeginIngestion
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}